Skip to main content
PATCH
Update analytic account

Path Parameters

consumer_id
string<uuid>
required
analytic_account_id
string
required
analytic_plan
string
required

Body

application/json
active
boolean | null
default:true

Flag indicating whether the analytic account is active.

code
string | null

Short code for the analytic account. Often used for internal referencing. May be required to be unique

Example:

"ANLY-01"

name
string | null

Name or label of the analytic account as it appears in the accounting system.

Example:

"Marketing"

currency
string | null

Indicates the currency of the analytic account (e.g., EUR, USD).

Example:

"EUR"

Response

Successful Response

id
string
required

Unique id of the analytic account in the accounting system.

Example:

"<this-analytic-account-id>"

active
boolean
required

Flag indicating whether the analytic account is active.

name
string
required

Name or label of the analytic account as it appears in the accounting system.

Example:

"Marketing"

analytic_plan
string
required
Example:

"<accounting-analytic-plan-id>"

code
string | null

Short code for the analytic account. Often used for internal referencing. For some integrations, it may be required to be unique.

Example:

"ANLY-01"